=== src/ui/CMakeLists.txt ===
add_subdirectory(classic)
add_subdirectory(kimpanel)
