=== debian/changelog ===
fcitx5 (5.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 14:58:45 +0800

fcitx5 (5.0.4-3) unstable; urgency=medium

  * Team upload.
  * Missing fcitx5-module-quickphrase in fcitx5-modules-dev Depends
  * Add libkvm-dev to Build-Depends on kfreebsd

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 20 Jan 2021 02:23:25 +0800

fcitx5 (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * Reorg module packages.
    Merge fcitx5-module-dbus, fcitx5-module-ibus, fcitx5-module-kimpanel,
    fcitx5-module-fcitx4 to fcitx5-modules.
    No new dependency on fcitx5-modules.
  * Enable building on non-linux
  * Don't install xdg auto start file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:03:33 +0800

fcitx5 (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add new fcitx5-module-fcitx4 package

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:37:58 +0800

fcitx5 (5.0.3-2) unstable; urgency=medium

  * Manual rebuild against libxcb-imdkit 1.0.1.
  * debian/control: Tighten version requirement of xcb-imdkit to
    (>= 1.0.1~).

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Dec 2020 18:29:50 -0500

fcitx5 (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 12 Dec 2020 21:40:10 +0800

fcitx5 (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix uscan watch file syntax
  * Refresh patches
  * Use flatpak style icon
  * Update README.Debian
  * Fix lintian by renaming dbus to D-Bus
  * Drop library version patch.
    After the project version is bumped to 5.0.x, there's no
    name clash

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 17:39:35 +0800

fcitx5 (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Ask user to run fcitx5-diagnose when reporting bugs
  * Backport patch for fcitx5-diagnose.
    To detect the multi-arch library patch.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 15 Nov 2020 17:57:40 +0800

fcitx5 (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add fcitx5-config-qt to Recommends (Closes: #963725)
  * Apply Multi-Arch hints

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Nov 2020 22:55:19 +0800

fcitx5 (0.0~git20201030.a5a0551-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix fcitx library cmake config

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 22:22:38 +0800

fcitx5 (0.0~git20201030.a5a0551-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5core SO version to 7

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 15:57:58 +0800

fcitx5 (0.0~git20200825.962d15a-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Disable parallel test to fix dbus issue
  * as-needed LDFLAGS is not needed since bullseye
  * Change architecture from linux-any to any
  * Remove incorrect Multi-Arch same annotation.
  * Refresh patches
  * Add fcitx5 default input method profile.
  * Add imselector module
  * Bump libfcitx5config SOVERSION to 6
  * Bump libfcitx5core SOVERSION to 6
  * Bump libfcitx5utils SOVERSION to 2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 02:42:44 +0800
